apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: |-
      [
        {
          "apiVersion": "charts.helm.k8s.io/v1alpha1",
          "kind": "OpenshiftXray",
          "metadata": {
            "name": "openshiftxray"
          },
          "spec": {
            "xray": {
              "analysis": {
                "image": {
                  "repository": "registry.connect.redhat.com/jfrog/xray-analysis",
                  "version": "3.6.2"
                },
                "name": "xray-analysis",
                "podManagementPolicy": "Parallel",
                "preStartCommand": null,
                "updateStrategy": "RollingUpdate"
              },
              "database": {
                "password": "OVERRIDE",
                "url": "OVERRIDE",
                "user": "OVERRIDE"
              },
              "global": {
                "postgresqlTlsSecret": null
              },
              "indexer": {
                "image": {
                  "repository": "registry.connect.redhat.com/jfrog/xray-indexer",
                  "version": "3.6.2"
                },
                "name": "xray-indexer",
                "podManagementPolicy": "Parallel",
                "updateStrategy": "RollingUpdate"
              },
              "persist": {
                "image": {
                  "repository": "registry.connect.redhat.com/jfrog/xray-persist",
                  "version": "3.6.2"
                },
                "name": "xray-persist",
                "persistence": {
                  "size": "10Gi"
                },
                "podManagementPolicy": "Parallel",
                "preStartCommand": null,
                "updateStrategy": "RollingUpdate"
              },
              "postgresql": {
                "enabled": false
              },
              "rabbitmq-ha": {
                "enabled": true,
                "image": {
                  "repository": "registry.connect.redhat.com/jfrog/xray-rabbitmq",
                  "tag": "3.8.0"
                },
                "rabbitmqEpmdPort": 4369,
                "rabbitmqUsername": "guest",
                "rabbitmqPassword": "guest",
                "replicaCount": 1
              },
              "replicaCount": 1,
              "unifiedUpgradeAllowed":  "true",
              "router": {
                "image": {
                  "imagePullPolicy": "IfNotPresent",
                  "repository": "registry.connect.redhat.com/jfrog/xray-router",
                  "version": "1.4.2"
                },
                "name": "router"
              },
              "server": {
                "image": {
                  "repository": "registry.connect.redhat.com/jfrog/xray-server",
                  "version": "3.6.2"
                },
                "name": "xray-server",
                "podManagementPolicy": "Parallel",
                "replicaCount": 1,
                "updateStrategy": "RollingUpdate"
              },
              "xray": {
                "consoleLog": false,
                "jfrogUrl": "OVERRIDE",
                "joinKey": "EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE",
                "masterKey": "FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"
              }
            }
          }
        }
      ]
    capabilities: Basic Install
    categories: "Developer Tools,Integration & Delivery"
    description: "JFrog Xray Enterprise deploys Xray continuous security scanner into Openshift (Requires Jfrog Artifactory)"
    containerImage: registry.connect.redhat.com/jfrog/xray-operator:3.6.2
    createdAt: 2020-05-22T00:00:00Z
    support: JFrog
    certified: "true"
    repository: https://github.com/jfrog/JFrog-Cloud-Installers/tree/openshift4/Openshift4
  name: xray-operator.v1.0.2
  namespace: default
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
      - description: Represents Xray Instances
        displayName: Xray
        kind: OpenshiftXray
        name: openshiftxrays.charts.helm.k8s.io
        resources:
          - kind: Deployment
            version: v1
          - kind: Service
            version: v1
          - kind: ReplicaSet
            version: v1
          - kind: Pod
            version: v1
          - kind: Secret
            version: v1
          - kind: ConfigMap
            version: v1
          - kind: StatefulSet
            version: apps/v1
        version: v1alpha1
  description: "Openshift 4 Operator to deploy JFrog Xray Continuous Security (Requires JFrog Artifactory)"
  displayName: JFrog Xray Continuous Security Operator
  provider:
    name: JFrog
  links:
    - name: JFrog
      url: https://www.jfrog.com
    - name: JFrog Xray Continuous Security
      url: https://jfrog.com/xray/
    - name: JFrog Xray Continuous Security Video
      url: https://youtu.be/wGzyKlQklKQ
  icon:
    - base64data: [encoded data, 25728 characters]
      mediatype: image/png
  maintainers:
    - name: JFrog
      email: partner-support@jfrog.com
  install:
    spec:
      deployments:
      - name: xray-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: xray-operator
          strategy: {}
          template:
            metadata:
              labels:
                name: xray-operator
            spec:
              containers:
              - env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: OPERATOR_NAME
                  value: xray-operator
                - name: RELATED_IMAGE_XRAY_SERVER_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-server:3.6.2
                - name: RELATED_IMAGE_XRAY_ANALYSIS_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-analysis:3.6.2
                - name: RELATED_IMAGE_XRAY_PERSIST_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-persist:3.6.2
                - name: RELATED_IMAGE_XRAY_INDEXER_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-indexer:3.6.2
                - name: RELATED_IMAGE_XRAY_ROUTER_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-router:1.4.2
                - name: RELATED_IMAGE_XRAY_RABBITMQ_IMAGE_REPOSITORY
                  value: registry.connect.redhat.com/jfrog/xray-rabbitmq:3.8.0
                image: registry.connect.redhat.com/jfrog/xray-operator:3.6.2
                imagePullPolicy: Always
                name: xray-operator
                resources: {}
              serviceAccountName: xray-operator
      permissions:
      - rules:
        - apiGroups:
          - ""
          resources:
          - pods
          - services
          - services/finalizers
          - endpoints
          - persistentvolumeclaims
          - events
          - configmaps
          - secrets
          - serviceaccounts
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          - replicasets
          - statefulsets
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - ""
          resources:
          - namespaces
          verbs:
          - get
        - apiGroups:
          - ""
          resourceNames:
          - xray-operator
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - ""
          resources:
          - events
          verbs:
          - create
        - apiGroups:
          - monitoring.coreos.com
          resources:
          - servicemonitors
          verbs:
          - get
          - create
        - apiGroups:
          - apps
          resourceNames:
          - xray-operator
          resources:
          - deployments/finalizers
          verbs:
          - update
        - apiGroups:
          - ""
          resources:
          - pods
          verbs:
          - get
        - apiGroups:
          - apps
          resources:
          - replicasets
          - deployments
          verbs:
          - get
        - apiGroups:
          - charts.helm.k8s.io
          resources:
          - '*'
          verbs:
          - create
          - delete
          - get
          - list
          - patch
          - update
          - watch
        - apiGroups:
          - networking.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - policy
          resources:
          - '*'
          verbs:
          - '*'
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - '*'
          verbs:
          - '*'
        serviceAccountName: xray-operator
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  keywords:
    - "DevOps"
    - "CI/CD"
    - "Developers"
    - "Software"
    - "Productivity"
    - "Artifact Repository"
    - "Repository Manager"
    - "Docker"
    - "Maven"
    - "Git"
    - "Helm"
    - "npm"
    - "go"
    - "golang"
    - "kubernetes"
    - "k8s"
    - "rpm"
    - "yum"
  maturity: alpha
  version: 1.0.2
  replaces: xray-operator.v1.0.1
